#ifndef PCA_REMESHING_H
#define PCA_REMESHING_H
#include <string>
using namespace std;
class PCA_Remeshing
{
public:
	PCA_Remeshing();
	~PCA_Remeshing();
	void readOffFile(string in_file);
	void init();
	void decimate();

	void init_swap();
	void swap_once();
	void swap_always();

	void generate_poly_mesh();
	void generate_CDT_mesh();
	void setDecimateNum(int target) { contracted_num = target; };
private:
	int contracted_num;
};

#endif // PCA_REMESHING_H
